<?php

namespace Itguild\EloquentTable;

use Exception;
use Itguild\Tables\ViewJsonTable;
use JetBrains\PhpStorm\NoReturn;

class ViewEloquentTable extends ViewJsonTable
{

    private ViewJsonTable $table;
    private ViewJsonTableEloquentModel $dataProvider;


    /**
     * @throws Exception
     */
    #[NoReturn] public function __construct(ViewJsonTableEloquentModel $dataProvider)
    {
        $this->dataProvider = $dataProvider;
        parent::__construct($this->dataProvider->getJson());
    }

}